/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package app.forward;

import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class MultipleValueFieldHandlerServlet extends HttpServlet
{
  @Override
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
  { // gets all the selected options from the client browser form
    String[] selectedOptions = request.getParameterValues("options");

    // Do a converting of the selected option
    ArrayList<String> selectedOptionLabels = null;
    if (selectedOptions != null)
    {
      selectedOptionLabels = new ArrayList<String>(selectedOptions.length);

      for (String selectedOption : selectedOptions)
      {
        if (selectedOption.equals("option1"))
        {
          selectedOptionLabels.add("Option 1");
        }
        else if (selectedOption.equals("option2"))
        {
          selectedOptionLabels.add("Option 2");
        }
        else if (selectedOption.equals("option3"))
        {
          selectedOptionLabels.add("Option 3");
        }
      }
    }
// Puts the converted list on a request Attribute
    request.setAttribute("checkedLabels", selectedOptionLabels);

    try
    {      
// Forward the request to /ConfirmationServlet which in
// the deployment descriptor is defined to be another Servlet, ConfirmationServlet.
      request.getRequestDispatcher("/ConfirmationServlet").forward(request,
          response);
    }
    catch (ServletException e)
    {
      e.printStackTrace();
    }
    catch (IOException e)
    {
      e.printStackTrace();
    }

  }
}